<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="keywords" content="practice 1, coldplay, rock alternative" />
    <meta name="author" content="Cristhian Mercado Cespedes" />
    <meta name="copyright" content="Cristhian mercado cespedes" />
    <meta name="robots" content="index,nofollow" />
    <link rel="icon" type="image/x-icon" href="/assets/favicon.ico" />
    <link rel="stylesheet" href="../nav.css" />
    <link rel="stylesheet" href="form.css" />
    <link rel="stylesheet" href="table.css" />

    <title>Reservation</title>
  </head>
  <body>
    <header>
      <nav>
        <ul>
          <li><a href="/index.html">Home</a></li>
          <li><a href="/contact.html" target="_blank">Contact</a></li>
          <li><a href="/tables.html" target="_blank">Schudule</a></li>
          <li><a href="/reservation.html" target="_blank">Reservations</a></li>
        </ul>
      </nav>
    </header>
    <main>
      <form class="form" onsubmit="save_data(e)" >
        <h1 class="form-title">Reservation Request</h1>
        <section class="form-section-gen">
          <h4>General information</h4>
          <div class="form-group">
            <label for="arrival-date">Arrival date:</label>
            <input type="date" id="arrival-date" class="fg-input" required />
            <span id="ht-arrival-date" class="helper-text"></span>
          </div>
          <div class="form-group">
            <label for="nights">Nights:</label>
            <input type="text" id="nights" class="fg-input"  />
            <span id="ht-nights" class="helper-text"></span>
          </div>
          <div class="form-group">
            <label for="adults">Adults:</label>
            <input type="number" id="adults" class="fg-input" />
          </div>
          <div class="form-group">
            <label for="children">Children:</label>
            <input type="number" id="children" class="fg-input" />
          </div>
        </section>
        <section class="form-section-prefer">
          <h4>Preferences</h4>
          <div class="form-group">
            <p>Room Type:</p>
            <div class="radio-group">
              <input type="radio" id="room-type" class="fg-input-radio" name="room-type" value="Standar" />
              <label for="room-type">Standar</label>
            </div>
            <div class="radio-group">
              <input type="radio" id="business" class="fg-input-radio" name="room-type" value="Business"/>
              <label for="business">Business</label>
            </div>
            <div class="radio-group">
              <input type="radio" id="suite" class="fg-input-radio" name="room-type" value="Suite" />
              <label for="suite">Suite</label>
            </div>
          </div>
          <div class="form-group">
            <p>Bed Type:</p>
            <div class="radio-group">
              <input type="radio" id="king" class="fg-input-radio" name="bed-type" value="King"/>
              <label for="king">King</label>
            </div>
            <div class="radio-group">
              <input type="radio" id="double" class="fg-input-radio" name="bed-type" value="Double Double" />
              <label for="double">Double Double</label>
            </div>
          </div>
          <div class="form-group">
            <div class="radio-group">
              <input type="radio" id="smoking" class="fg-input-radio" value="Smoking/>
              <label for="smoking">Smoking</label>
            </div>
          </div>
        </section>
        <section class="form-section-contact">
          <h4>Contact Information</h4>
          <div class="form-group">
            <label for="name">Name:</label>
            <input  type="text" id="name" class="fg-input" required  />
            <span id="ht-name" class="helper-text"></span>
          </div>
          <div class="form-group">
            <label for="email">Email:</label>
            <input type="email" id="email" class="fg-input" required />
            <span id="ht-email" class="helper-text"></span>
          </div>
          <div class="form-group">
            <label for="Phone">Phone:</label>
            <input type="text" id="phone" class="fg-input" required />
            <span id="ht-phone" class="helper-text"></span>
          </div>
        </section>
        <div class="form-actions">
          <button type="submit" value="submit" class="form-btn">Submit Reservation</button>
          <button class="form-btn">Clear</button>
        </div>
      </form>
    </main>
    <!-- reservations table -->
    <section class="section-reservations-table">
        <table id="reservations-tb" class="r-tb" border="1" cellpadding="10px">
            <tr>
                <td colspan="4">General information</td>
                <td colspan="3">Preferences</td>
                <td colspan="3">Contact Information</td>
                <td colspan="1" rowspan="2">Actions</td>
            </tr>
            <tr>
                <td>Arrival date</td>
                <td>Nights</td>
                <td>Adults</td>
                <td>Children</td>
                <td>Room type</td>
                <td>Bed type</td>
                <td>Smoking</td>
                <td>Name</td>
                <td>Email</td>
                <td>Phone</td>
            </tr>
        </table>
    </section>
    <script src="crud.js"></script>
    <script src="table.js"></script>

  </body>
</html>
